> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ledger.nxos.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Assets



## OpenAPI

````yaml ledger-openapi GET /v1/ledger/{ledger_key}/asset
openapi: 3.0.0
info:
  title: Ledger API
  version: 0.0.0
servers:
  - url: https://api.sandbox.nxos.io
    description: single server endpoint
    variables: {}
security: []
tags: []
paths:
  /v1/ledger/{ledger_key}/asset:
    get:
      summary: List all Assets
      operationId: Assets_listAssets
      parameters:
        - $ref: '#/components/parameters/BasicAuthHeader'
        - $ref: '#/components/parameters/PaginationQuery.cursor'
        - $ref: '#/components/parameters/PaginationQuery.limit'
        - $ref: '#/components/parameters/LedgerKey'
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Asset'
components:
  parameters:
    BasicAuthHeader:
      name: Authorization
      in: header
      required: true
      description: |-
        The Basic Authentication header.
        Format: "Basic {base64(orgID:apiKey)}"
      schema:
        type: string
    PaginationQuery.cursor:
      name: cursor
      in: query
      required: false
      description: >-
        The cursor for the next set of results.

        This is an opaque string representing the starting point for the next
        page.

        For the first request, this should be omitted or set to null.
      schema:
        type: string
    PaginationQuery.limit:
      name: limit
      in: query
      required: false
      description: |-
        The number of items to be returned per page.
        Determines the page size for the paginated results.
        Default value: 25
        Maximum value: 100 (to prevent excessive load on the server)
      schema:
        type: integer
        format: int32
        default: 25
    LedgerKey:
      name: ledger_key
      in: path
      required: true
      description: |-
        The key of the ledger. 
        Examples: 
        - "123e4567-e89b-12d3-a456-426614174000"
        - "id:123e4567-e89b-12d3-a456-426614174000"
        - "ref:ledger:customer_a"
      schema:
        type: string
  schemas:
    Asset:
      type: object
      required:
        - asset_code
        - name
        - scale
      properties:
        asset_code:
          type: string
          minLength: 1
          description: The reference of the asset
        name:
          type: string
          description: The name of the asset
        scale:
          type: integer
          format: int32
          minimum: 0
          description: >-
            The scale of the asset. Defines the power of 10 to use for the
            asset. For example, a scale of 2 would mean 100 is 100/(10^2) = 1.00
            units of the asset
        symbol:
          type: string
          description: The symbol of the asset
        metadata:
          type: object
          additionalProperties: {}
          description: Additional, optional, metadata for the asset

````